$(function () {
  var task = JSON.parse(localStorage.getItem('task'));
  // 倒计时
  $.ajax({
    type: 'post',
    url: baseUrl + 'GQ',
    dataType: 'json',
    data: {
      action: "QD",
      openCode: users.user,
      Q: task.id
    },
    success: function (data) {
      console.log(data)
      if (data.code == 1) {
        var time = data.data.expire_time
        var minute = parseInt(time / 60);
        var second = parseInt(time % 60);
        $('.time_remaining').html('剩余时间 ' + minute + ':' + second);
        var timer = setInterval(function () {
          if (time > 0) {
            time -= 1;
            minute = parseInt(time / 60);
            second = parseInt(time % 60);
            $('.time_remaining').html('剩余时间 ' + minute + ':' + second);
          } else {
            clearInterval(timer); //清除定时器
            $('.iconfanhui').off('click')
            $('.iconfanhui').click(function () {
              history.go(-1)
            })
          }
        }, 1000);
      } else {
        pop(data.msg)
      }
    }
  })

  // 获取页面数据
  $('.add').html('+' + task.amount)
  $('.return .text').html('*该任务奖励+' + task.amount + '元')
  if (task.img.length != 0) {
    var rankingHTML = template('ranking', {
      list: task.img
    })
    $('.card').append(rankingHTML)
  }
  if (task.link) {
    // console.log('l')
    $('.card').append('<div class="btn">点击在浏览器打开链接</div>')
    $('.card .btn').click(function () {
      AndroidJs.openInBrowser(task.link);
    });
  }
  $('#content').prepend('<pre>' + task.question + '</pre>')
  for (let i = 0; i < task.options.length; i++) {
    const el = task.options[i];
    if (el.ordinal == 'A') {
      $('#A').text(el.options)
    } else if (el.ordinal == 'B') {
      $('#B').text(el.options)
    } else if (el.ordinal == 'C') {
      $('#C').text(el.options)
    } else if (el.ordinal == 'D') {
      $('#D').text(el.options)
    }
  }

  // 图片预览
  preview('#img_box')

  var iconSrc = ''
  var type = ''
  let zhuce = '../images/startingMoney/cion_guanzhu.png'
  let guanzhu = '../images/startingMoney/icon_guanzhu.png'
  let liulan = '../images/startingMoney/icon_liulan.png'
  let kanjia = '../images/startingMoney/icon_kanjia.png'
  let gaojia = '../images/startingMoney/icon_gaojia.png'
  let qita = '../images/startingMoney/icon_qita.png'
  switch (task.type) {
    case '0':
      type = '注册'
      iconSrc = zhuce
      break;
    case '1':
      type = '关注'
      iconSrc = guanzhu
      break;
    case '2':
      type = '浏览'
      iconSrc = liulan
      break;
    case '3':
      type = '砍价'
      iconSrc = kanjia
      break;
    case '4':
      type = '高价'
      iconSrc = gaojia
      break;
    case '5':
      type = '其他'
      iconSrc = qita
      break;
  }
  $('.card .icon img').attr("src", iconSrc);
  $('.return .iconweixin img').attr("src", iconSrc);
  $('.appname').text(task.title)
  $('.return .title').text(task.title)
  $('.iconbiaoqian span').html(type)
  // var id = location.href.split('=')[1]
  var choose = ''

  // 提示弹窗
  var warnData = JSON.parse(localStorage.getItem('warn'));
  if (!warnData) {
    $(".Masked,.warn").css("display", "block");
    $('#warnBTN,.Masked').click(function () {
      $(".Masked,.warn").css("display", "none");
    })
    // 不再提醒
    var flag = false
    $('.flag').click(function (e) { 
      flag=!flag
      if (flag) {
        $('.select').addClass('iconhoutaibianji');
        localStorage.setItem('warn', true)
      }else{
        $('.select').removeClass('iconhoutaibianji');
        localStorage.removeItem("warn");
      }
    });
  }




  // 点击选择答案
  $('.content .item').click(function () {
    $('.content .item').removeClass("itemClick");
    $(this).addClass("itemClick");
    choose = $(this).text().trim().split('')[0]
    console.log(choose)
  })
  // 点击返回
  $('.iconfanhui').on('click', function () {
    $(".Masked,.return").css("display", "block");
  })
  $('.gobtn').click(function () {
    $(".Masked,.return").css("display", "none");
  })
  $('.upbtn').click(function () {

    $.ajax({
      type: 'post',
      url: baseUrl + 'DQ',
      dataType: 'json',
      data: {
        action: "UQ",
        openCode: users.user,
        T: 6,
        qid: task.id
      },
      success: function (data) {
        console.log(data)
        if (data.code == 1) {
          history.go(-1)
        } else {
          pop(data.msg)
        }
      }
    })
  })

  //点击提交答案
  $('.button').click(function () {
    $.ajax({
      type: 'post',
      url: baseUrl + 'reply',
      dataType: 'json',
      data: {
        action: "AQ",
        openCode: users.user,
        choose: choose,
        Q: task.id,
        T: task.type,
      },
      success: function (data) {
        // console.log(data)
        if (data.code == 1) {
          if (!data.data.is_right) {
            $(".Masked,.error").css("display", "block");
          } else {
            $(".Masked,.correct").css("display", "block");
            $('.correct .sum').html('+' + task.amount + '元')
          }
        } else {
          pop(data.msg)
        }
      }
    })
  })

})
// 回答错误弹窗
$('.errorbtn').click(function () {
  // $(".Masked,.error").css("display", "none");
  history.go(-1)
})
// 回答正确弹窗
$('.correctbtn').click(function () {
  history.go(-1)
})

// 页面关闭前
// window.onbeforeunload = function (e) {
//     localStorage.removeItem("task");
//     return;
// };

window.onload = function () {
  // element.scrollHeight---文章内容的实际高度   element.clientHeight---文章内容的显示高度
  // element.scrollWidth---文章内容的实际宽度   element.clientWidth ---文章内容的显示宽度
  var element = document.getElementById("content")
  if (element.scrollHeight > element.clientHeight) {
    document.getElementById("expand").style = "display:block"
    document.getElementById("content").style = 'height: .84rem;'
  } else {
    document.getElementById("expand").style = "display:none"
  }

}
// 展开
function more () {
  document.getElementById("content").style = 'height:auto;'
  document.getElementById("expand").style = "display:none"
  document.getElementById("pack").style = "display:block"
}

function pack () {
  document.getElementById("content").style = 'height: .84rem;'
  document.getElementById("expand").style = "display:block"
  document.getElementById("pack").style = "display:none"
}


